RHEL_MAJOR = 9
RHEL_MINOR = 0

#
# RHEL_RELEASE
# -------------
#
# Represents build number in 'release' part of RPM's name-version-release.
#   name is <package_name>, e.g. kernel
#   version is upstream kernel version this kernel is based on, e.g. 4.18.0
#   release is <RHEL_RELEASE>.<dist_tag>[<buildid>], e.g. 100.el8
#
# Use this spot to avoid future merge conflicts.
# Do not trim this comment.
RHEL_RELEASE = 11

#
# Early y+1 numbering
# --------------------
#
# In early y+1 process, RHEL_RELEASE consists of 2 numbers: x.y
# First is RHEL_RELEASE inherited/merged from y as-is, second number
# is incremented with each build starting from 1. After merge from y,
# it resets back to 1. This way y+1 nvr reflects status of last merge.
#
# Example:
#
# rhel8.0                        rhel-8.1
#   kernel-4.18.0-58.el8   -->     kernel-4.18.0-58.1.el8
#                                  kernel-4.18.0-58.2.el8
#   kernel-4.18.0-59.el8           kernel-4.18.0-59.1.el8
#   kernel-4.18.0-60.el8
#   kernel-4.18.0-61.el8   -->     kernel-4.18.0-61.1.el8
#
#
# Use this spot to avoid future merge conflicts.
# Do not trim this comment.
EARLY_YSTREAM ?= no
EARLY_YBUILD:=
EARLY_YRELEASE:=
ifneq ("$(ZSTREAM)", "yes")
  ifeq ("$(EARLY_YSTREAM)","yes")
    RHEL_RELEASE:=$(RHEL_RELEASE).$(EARLY_YRELEASE)
  endif
endif
